//标签类必须放在一个包里
package mytag;
//需要引入的Java类
import java.io.IOException;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.tagext.Tag;

public class HelloTagWorld implements Tag
{
    //页面的上下文环境
    private PageContext context;

    //设置页面的上下文环境
    public void setPageContext(PageContext arg0)
    {
        this.context=arg0;

    }

    //标签开始，跳过标签主体。
    public int doStartTag() throws JspException
    {
        return SKIP_BODY;
    }

    //标签结束，执行动作。
    public int doEndTag() throws JspException
    {
        try
        {
            //在页面上输出"Hello ,Tag World!"的字样
            context.getOut().write("Hello ,Tag World!");
        }
        catch(IOException e)
        {
            e.printStackTrace();
        }
        return EVAL_PAGE;
    }

    public void release()
    {
    }

    public void setParent(Tag arg0)
    {
    }

    public Tag getParent()
    {
        return null;
    }

}
